@charset "UTF-8";
/* Gallery Stylesheet for drtarakpatel.com */
/* By Britton Lorentzen [brittonlorentzen@gmail.com, blorentz.com] */

/* Setup testimonials carousel */

.testimonials {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    width: calc(100% - 4rem);
    max-width: 1620px;
    margin: 4rem auto;
}

.testimonials .carousel {
    width: calc(100% - 2rem);
    height: 100%;
    display: flex;
    position: relative;
    gap: 1rem;
    padding: 1rem .5rem;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
}

.testimonials .carousel::after {
    content: '';
    width: 1rem;
}

.testimonials::before {
    position: absolute;
    left: .5rem;
    height: calc(100% - 1rem);
    width: 8px;
    content: '';
    background: linear-gradient(90deg, var(--color-white-100), rgba(255, 255, 255, 0));
    z-index: 10;
}

.testimonials::after {
    position: absolute;
    right: .5rem;
    height: calc(100% - 1rem);
    width: 8px;
    content: '';
    background: linear-gradient(-90deg, var(--color-white-100), rgba(255, 255, 255, 0));
    z-index: 10;
}

.testimonials .carousel::-webkit-scrollbar,
.testimonials .carousel::-webkit-scrollbar-track {
    height: 0.5rem;
    width: 50%;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
}

.testimonials .carousel::-webkit-scrollbar-thumb {
    background-color: var(--color-brand-500);
    outline: 4px solid var(--color-white-100);
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;

}

.testimonials .carousel .card {
    width: 75dvw;
    max-width: 600px;
    position: relative;
    z-index: 2;
    flex-shrink: 0;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    background: var(--color-white-000);
    scroll-snap-align: center;
    border-radius: 1rem;
    -moz-border-radius: 1rem;
    -webkit-border-radius: 1rem;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .15);
}

.testimonials .carousel .card [subhead] {
    font-size: 16px;
    font-weight: 600;
}

/* Review Widget */
.review-widget {
    display: grid;
    height: 600px;
    overflow: hidden;
    margin: 1rem auto;
    background: var(--color-white-000);
    border-radius: 1rem;
    -moz-border-radius: 1rem;
    -webkit-border-radius: 1rem;
}

.review-widget .selector {
    height: calc(100% - 2rem);
    border-right: 2px solid var(--color-white-100);
}

.review-widget .selector button {
    width: 100%;
    background: transparent;
    box-shadow: none;
    border-radius: 0px;
    color: var(--color-black-000);
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    padding: 1rem 0rem;
    border-top: 2px solid var(--color-black-900);
}

.review-widget .selector button.active {
    color: var(--color-brand-500);
}

.review-widget .reviews {
    display: grid;
    gap: 3rem;
    height: calc(100% - 2rem);
    overflow-y: scroll;
}

.review-widget .reviews::after {
    content: '';
    height: 1rem;
}

.review-widget .reviews::-webkit-scrollbar,
.review-widget .reviews::-webkit-scrollbar-track {
    width: 0.5rem;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
}

.review-widget .reviews::-webkit-scrollbar-thumb {
    background-color: var(--color-brand-500);
    outline: 4px solid var(--color-white-000);
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;

}

.review-widget .reviews .card {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.review-widget .reviews .card .proc-type-list {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
}

.review-widget .reviews .card span.procedure-type {
    background: var(--color-brand-500);
    color: var(--color-white-000);
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
    padding: 0.5rem 1rem;
    border-radius: 2rem;
    -moz-border-radius: 2rem;
    -webkit-border-radius: 2rem;
}

/* Standard Desktop */

@media only screen and (max-width: 1440px) {}

/* Smaller Desktop */

@media only screen and (max-width: 1280px) {}

/* Tablet Breakpoints */

@media only screen and (max-width: 1024px) {}

@media only screen and (max-width: 768px) {}

/* Mobile Breakpoints */

@media only screen and (max-width: 640px) {

    /* Mobile Reviews */
    .testimonials {
        width: 100%;
        margin: 2rem auto;
    }

    .testimonials h3 {
        width: calc(100% - 2rem);
    }

    .testimonials .carousel {
        width: 100%;
    }

    .testimonials .carousel::before {
        content: '';
        width: 1rem;
    }

    .testimonials::before,
    .testimonials::after {
        display: none;
    }

    .testimonials .carousel::-webkit-scrollbar,
    .testimonials .carousel::-webkit-scrollbar-track {
        height: 0.5rem;
        width: 50%;
        border-radius: 0.5rem;
        -webkit-border-radius: 0.5rem;
    }

    .testimonials .carousel::-webkit-scrollbar-thumb {
        background-color: var(--color-brand-500);
        outline: 4px solid var(--color-white-100);
        border-radius: 0.5rem;
        -webkit-border-radius: 0.5rem;

    }

    .testimonials .carousel .card {
        width: 65dvw;
        max-width: 600px;
        position: relative;
        z-index: 2;
        flex-shrink: 0;
        padding: 1rem;
        display: flex;
        flex-direction: column;
        background: var(--color-white-000);
        scroll-snap-align: center;
        border-radius: 1rem;
        -moz-border-radius: 1rem;
        -webkit-border-radius: 1rem;
        box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .15);
    }

    .testimonials .carousel .card [subhead] {
        font-size: 16px;
        font-weight: 600;
    }

    /* Mobile Review Widget */

    .review-widget {
        gap: 0px;
        height: fit-content;
    }

    .review-widget .selector {
        border-right: none;
        box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.25);
    }

    .review-widget .selector .filter-group {
        display: flex;
        gap: 1rem;
        flex-wrap: wrap;
    }

    .review-widget .selector button {
        width: fit-content;
        border-top: none;
        border: 2px solid var(--color-black-000);
        padding: 0.5rem 1rem;
        border-radius: 2rem;
        -moz-border-radius: 2rem;
        -webkit-border-radius: 2rem;
    }

    .review-widget .selector button.active {
        color: var(--color-white-000);
        border: 2px solid var(--color-brand-500);
        background: var(--color-brand-500);
    }

    .review-widget .reviews {
        height: 400px;
    }

}


@media only screen and (max-width: 480px) {}


@media only screen and (max-width: 375px) {}